import request from "@/utils/request";

// 人员档案-分页列表
export function getPersonPageList(data) {
  return request({
    url: "/admin/person/pageList",
    method: "post",
    data,
  });
}
//驾驶证信息-分页列表
export function getPersonDrivePageList(data) {
  return request({
    url: "/admin/person/drivePageList",
    method: "post",
    data,
  });
}
//护照-分页列表
export function getPersonPassportPageList(data) {
  return request({
    url: "/admin/person/passportPageList",
    method: "post",
    data,
  });
}
//车辆-分页列表
export function getPersonCarPageList(data) {
  return request({
    url: "/admin/person/carPageList",
    method: "post",
    data,
  });
}
// 行为-分页列表
export function getPeronBehaviorPageList(data) {
  return request({
    url: "/admin/person/behaviorPageList",
    method: "post",
    data,
  });
}
//布控-分页列表
export function getPersonControlPageList(data) {
  return request({
    url: "/admin/person/controlPageList",
    method: "post",
    data,
  });
}
//七类重点-分页列表
export function getPersonCategoriesPageList(data) {
  return request({
    url: "/admin/person/categoriesPageList",
    method: "post",
    data,
  });
}
//警情处理-分页列表
export function getPersonPoliceEventPageList(data) {
  return request({
    url: "/admin/person/policeEventPageList",
    method: "post",
    data,
  });
}
//车辆违章-分页列表
export function getPersonCarViolationsPageList(data) {
  return request({
    url: "/admin/person/carViolationsPageList",
    method: "post",
    data,
  });
}
//驾驶证累积记分-分页列表
export function getPersonCarHandlePageList(data) {
  return request({
    url: "/admin/person/carHandlePageList",
    method: "post",
    data,
  });
}

// 单图片上传接口
export function getPersonCarHandlePaeList(data) {
  return request({
    url: "/upload/pictureLocal",
    method: "post",
    data,
  });
}